com.google.appengine.api.datastore.dev

## Class LocalDatastoreV4Service

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.datastore.dev.LocalDatastoreV4Service

-     @ServiceProvider(value=)
      public class LocalDatastoreV4Service
      extends AbstractLocalRpcService

  An implementation of the datastore_v4 api that forwards to datastore v3.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalDatastoreV4Service()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeginTransactionResponse` | `beginTransaction(Status status, BeginTransactionRequest req)`
    `CommitResponse` | `commit(Status status, CommitRequest req)`
    `ContinueQueryResponse` | `continueQuery(Status status, ContinueQueryRequest request)`
    `GetResponse` | `get(Status status, GetRequest request)`
    `java.lang.String` | `getPackage()`
    `RollbackResponse` | `rollback(Status status, RollbackRequest req)`
    `RunQueryResponse` | `runQuery(Status status, RunQueryRequest request)`
    `WriteResponse` | `write(Status status, WriteRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalDatastoreV4Service

          public LocalDatastoreV4Service()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### beginTransaction

          public BeginTransactionResponse beginTransaction(Status status,
                                                  BeginTransactionRequest req)

    - #### commit

          public CommitResponse commit(Status status,
                              CommitRequest req)

    - #### rollback

          public RollbackResponse rollback(Status status,
                                  RollbackRequest req)

    - #### get

          public GetResponse get(Status status,
                        GetRequest request)

    - #### write

          public WriteResponse write(Status status,
                            WriteRequest request)

    - #### runQuery

          public RunQueryResponse runQuery(Status status,
                                  RunQueryRequest request)

    - #### continueQuery

          public ContinueQueryResponse continueQuery(Status status,
                                            ContinueQueryRequest request)